de.esprit.appsuite.database.dbgui.field.model

## Class DocModelChar

- java.lang.Object
- - javax.swing.text.AbstractDocument
  - - javax.swing.text.PlainDocument
    - - de.esprit.appsuite.database.dbgui.field.model.FieldDocModel
      - - de.esprit.appsuite.database.dbgui.field.model.DocModelChar

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.text.Document
  Direct Known Subclasses:
    DocModelNumber

      public class DocModelChar
      extends FieldDocModel

  Accepts all char input but performs a check on the input length.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.text.AbstractDocument

      `javax.swing.text.AbstractDocument.AbstractElement, javax.swing.text.AbstractDocument.AttributeContext, javax.swing.text.AbstractDocument.BranchElement, javax.swing.text.AbstractDocument.Content, javax.swing.text.AbstractDocument.DefaultDocumentEvent, javax.swing.text.AbstractDocument.ElementEdit, javax.swing.text.AbstractDocument.LeafElement`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.text.PlainDocument

      `lineLimitAttribute, tabSizeAttribute`

    - ### Fields inherited from class javax.swing.text.AbstractDocument

      `BAD_LOCATION, BidiElementName, ContentElementName, ElementNameAttribute, listenerList, ParagraphElementName, SectionElementName`

    - ### Fields inherited from interface javax.swing.text.Document

      `StreamDescriptionProperty, TitleProperty`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocModelChar()`
    `DocModelChar(int width)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `insertString(int offs, java.lang.String str, javax.swing.text.AttributeSet attr)`

    - ### Methods inherited from class de.esprit.appsuite.database.dbgui.field.model.FieldDocModel

      `isAllowedCharacter, isAllowedString, isValidInput, isValidLength, setCheckedWidth, setInputChecked, setWidthChecked`

    - ### Methods inherited from class javax.swing.text.PlainDocument

      `createDefaultRoot, getDefaultRootElement, getParagraphElement, insertUpdate, removeUpdate`

    - ### Methods inherited from class javax.swing.text.AbstractDocument

      `addDocumentListener, addUndoableEditListener, createBranchElement, createLeafElement, createPosition, dump, fireChangedUpdate, fireInsertUpdate, fireRemoveUpdate, fireUndoableEditUpdate, getAsynchronousLoadPriority, getAttributeContext, getBidiRootElement, getContent, getCurrentWriter, getDocumentFilter, getDocumentListeners, getDocumentProperties, getEndPosition, getLength, getListeners, getProperty, getRootElements, getStartPosition, getText, getText, getUndoableEditListeners, postRemoveUpdate, putProperty, readLock, readUnlock, remove, removeDocumentListener, removeUndoableEditListener, render, replace, setAsynchronousLoadPriority, setDocumentFilter, setDocumentProperties, writeLock, writeUnlock`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DocModelChar

          public DocModelChar()

    - #### DocModelChar

          public DocModelChar(int width)

  - ### Method Detail

    - #### insertString

          public void insertString(int offs,
                          java.lang.String str,
                          javax.swing.text.AttributeSet attr)
                            throws javax.swing.text.BadLocationException

      Specified by:
        `insertString` in interface `javax.swing.text.Document`
      Overrides:
        `insertString` in class `javax.swing.text.PlainDocument`
      Throws:
        `javax.swing.text.BadLocationException`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.